Bug #2105: ruby script/server
http://redmine.ruby-lang.org/issues/show/2105

Author: Emanuele Arza'
Status: Open, Priority: Normal
ruby -v: ruby 1.9.1p243 (2009-07-16 revision 24175) [i386-mingw32]

C:\rubyprj\tickets>ruby script/server
C:/Ruby19/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/lib/http11.so: [BUG
] Segmentation fault
ruby 1.9.1p243 (2009-07-16 revision 24175) [i386-mingw32]

-- control frame ----------
c:0019 p:-4970680 s:0073 b:0073 l:000072 d:000072 TOP
c:0018 p:---- s:0071 b:0071 l:000070 d:000070 CFUNC  :require
c:0017 p:0012 s:0067 b:0067 l:000056 d:000066 BLOCK  C:/Ruby19/lib/ruby/gems/1.9
.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:156
c:0016 p:0055 s:0065 b:0065 l:000064 d:000064 METHOD C:/Ruby19/lib/ruby/gems/1.9
.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:521
c:0015 p:0041 s:0057 b:0057 l:000056 d:000056 METHOD C:/Ruby19/lib/ruby/gems/1.9
.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:156
c:0014 p:0095 s:0051 b:0051 l:000050 d:000050 TOP    C:/Ruby19/lib/ruby/gems/1.9
.1/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:12
c:0013 p:---- s:0049 b:0049 l:000048 d:000048 FINISH
c:0012 p:---- s:0047 b:0047 l:000046 d:000046 CFUNC  :require
c:0011 p:0012 s:0043 b:0043 l:000032 d:000042 BLOCK  C:/Ruby19/lib/ruby/gems/1.9
.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:156
c:0010 p:0055 s:0041 b:0041 l:000040 d:000040 METHOD C:/Ruby19/lib/ruby/gems/1.9
.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:521
c:0009 p:0041 s:0033 b:0033 l:000032 d:000032 METHOD C:/Ruby19/lib/ruby/gems/1.9
.1/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:156
c:0008 p:0011 s:0027 b:0027 l:000026 d:000026 TOP    C:/Ruby19/lib/ruby/gems/1.9
.1/gems/rack-1.0.0/lib/rack/handler/mongrel.rb:1
c:0007 p:---- s:0025 b:0025 l:000024 d:000024 FINISH
c:0006 p:0200 s:0023 b:0023 l:001f68 d:001f68 TOP    C:/Ruby19/lib/ruby/gems/1.9
.1/gems/rails-2.3.4/lib/commands/server.rb:48
c:0005 p:---- s:0012 b:0012 l:000011 d:000011 FINISH
c:0004 p:---- s:0010 b:0010 l:000009 d:000009 CFUNC  :require
c:0003 p:0038 s:0006 b:0006 l:0023ac d:001b94 EVAL   script/server:3
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:0023ac d:0023ac TOP
---------------------------
-- Ruby level backtrace information-----------------------------------------
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:156:in `require'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:156:in `block in require'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:521:in `new_constants_in'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:156:in `require'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:12:i
n `<top (required)>'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:156:in `require'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:156:in `block in require'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:521:in `new_constants_in'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-2.3.4/lib/active_support/depend
encies.rb:156:in `require'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/rack-1.0.0/lib/rack/handler/mongrel.rb:1:in `
<top (required)>'
C:/Ruby19/lib/ruby/gems/1.9.1/gems/rails-2.3.4/lib/commands/server.rb:48:in `<to
p (required)>'
script/server:3:in `require'
script/server:3:in `<main>'

[NOTE]
You may encounter a bug of Ruby interpreter. Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html


This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.


----------------------------------------
http://redmine.ruby-lang.org